sayren Docs
내 정보

내 주문 목록 조회

GET
/storefront/v1/me/orders

Authorization

headerAuthorizationBearer <token>

회원 accessToken

Query Parameters

status*string
from*string
page*string
size*string

Response Body

성공

application/json
  1. response
meta*
data*
error*|null
curl -X GET 'https://api.sayren.io/storefront/v1/me/orders?status=string&from=string&page=string&size=string'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "page": 0,    "size": 0,    "totalElements": 0,    "totalPages": 0,    "contents": [      {        "orderId": "string",        "progressStatus": "PAYMENT_WAITING",        "orderNo": null,        "orderedAt": "string",        "items": [          {            "orderItemId": "string",            "orderItemNo": null,            "productId": "string",            "productName": "string",            "thumbnailUrl": "http://example.com",            "optionName": "string",            "optionSelections": [],            "customInputs": [],            "stay": {              "checkIn": "string",              "checkOut": "string",              "nights": [                {                  "date": "string",                  "price": 0                }              ]            },            "quantity": 0,            "canceledQuantity": 0,            "activeQuantity": 0,            "totalPrice": 0,            "couponDiscountAmount": 0,            "pointAllocation": 0,            "status": "PAYMENT_WAITING",            "fulfillmentSnapshot": {              "type": "SHIPPING",              "requiresShipping": true,              "method": "string",              "pickupLocation": {                "locationId": "string",                "name": "string",                "address": "string",                "phone": "string",                "hours": "string"              }            },            "fulfillment": null,            "claimStatus": "string",            "reviewWritten": true,            "reviewWritable": true,            "autoDecisionDate": "string",            "flowState": {              "key": "string",              "label": "string",              "coreStatus": "PAYMENT_WAITING",              "message": "string",              "enteredAt": "string",              "deadlineAt": "string",              "attachments": [                "string"              ],              "earlierAttachments": [                "string"              ],              "inputs": {                "by": "string",                "values": [                  {                    "key": "string",                    "label": "string",                    "type": "string",                    "value": "string",                    "display": "string"                  }                ]              },              "progress": true,              "fields": {                "property1": "string",                "property2": "string"              }            },            "actions": [              {                "key": "string",                "label": "string",                "mode": "INSTANT",                "enabled": true,                "disabled": {                  "reason": "string",                  "message": "string"                },                "availableUntil": "string",                "subflow": "string",                "input": [                  {                    "key": "string",                    "type": "string",                    "required": true,                    "label": "string",                    "placeholder": "string",                    "maxLength": 0,                    "maxFiles": 0,                    "options": [                      "string"                    ],                    "when": {                      "key": "string",                      "in": [                        "string"                      ]                    }                  }                ],                "partialQuantity": true              }            ],            "flowBranches": [              {                "key": "string",                "label": "string",                "coreStatus": "PAYMENT_WAITING",                "message": "string",                "enteredAt": "string",                "deadlineAt": "string",                "attachments": [                  "string"                ],                "earlierAttachments": [                  "string"                ],                "inputs": {                  "by": "string",                  "values": [                    {                      "key": "string",                      "label": "string",                      "type": "string",                      "value": "string",                      "display": "string"                    }                  ]                },                "progress": true,                "fields": {                  "property1": "string",                  "property2": "string"                }              }            ],            "step": {              "type": "string",              "label": "string",              "message": "string",              "deadlineAt": "string",              "attachments": [                "string"              ],              "earlierAttachments": [                "string"              ],              "inputs": {                "by": "string",                "values": [                  {                    "key": "string",                    "label": "string",                    "type": "string",                    "value": "string",                    "display": "string"                  }                ]              },              "actions": [                {                  "key": "string",                  "label": "string",                  "mode": "INSTANT",                  "enabled": true,                  "disabled": {                    "reason": "string",                    "message": "string"                  },                  "availableUntil": "string",                  "subflow": "string",                  "input": [                    {                      "key": "string",                      "type": "string",                      "required": true,                      "label": "string",                      "placeholder": "string",                      "maxLength": 0,                      "maxFiles": 0,                      "options": [                        "string"                      ],                      "when": {                        "key": "string",                        "in": [                          "string"                        ]                      }                    }                  ],                  "partialQuantity": true                }              ],              "claimable": [],              "data": {                "delivery": {                  "carrierName": "string",                  "trackingNumber": "string",                  "trackingUrl": "string",                  "dispatchedAt": "string"                }              }            }          }        ],        "requiresShipping": true,        "shippingAddress": {          "receiverName": "string",          "phone": "string",          "zipCode": "string",          "address1": "string",          "address2": "string",          "deliveryMemo": "string",          "entranceCode": "string"        },        "payment": {          "method": "CARD",          "easyPayProvider": null,          "couponDiscountAmount": 0,          "deliveryDiscountAmount": 0,          "pointAmount": 0,          "discounts": [],          "totalAmount": 0,          "paidAt": "string",          "receiptUrl": "http://example.com",          "refundedAmount": 0,          "refundPendingAmount": 0,          "pointRefundedAmount": 0        },        "testPayment": true      }    ]  },  "error": null}